Main Page Widgets Namespaces Book

# Gtk::Paned Class Reference
[Widgets, Container Widgets]

Inheritance diagram for Gtk::Paned:

[legend]
List of all members.

## Detailed Description

This is the base class for widgets with two panes, arranged either horizontally (Gtk::HPaned) or vertically (Gtk::VPaned).

Child widgets are added to the panes of the widget with pack1() and pack2(). The division beween the two children is set by default from the size requests of the children, but it can be adjusted by the user.

A paned widget draws a separator between the two child widgets and a small handle that the user can drag to adjust the division. It does not draw any relief around the children or around the separator. Often, it is useful to put each child inside a Gtk::Frame with the shadow type set to Gtk::SHADOW_IN so that the gutter appears as a ridge.

Each child has two options that can be set - resize and shrink. If resize is true, then when the GtkPaned is resized, that child will expand or shrink along with the paned widget. If shrink is true, then when that child can be made smaller than it's requisition. Setting shrink to false allows the application to set a minimum size. If resize is false for both children, then this is treated as if resize is true for both children.

The application can set the position of the slider as if it were set by the user, by calling set_position().

## Public Member Functions

virtual | ~Paned ()
GtkPaned* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkPaned* | gobj () const
| Provides access to the underlying C GtkObject.
| Paned ()
void | add1 (Widget& child)
void | add2 (Widget& child)
void | pack1 (Widget& child, bool resize, bool shrink)
void | pack1 (Widget& child, AttachOptions options=Gtk::EXPAND)
void | pack2 (Widget& child, bool resize, bool shrink)
void | pack2 (Widget& child, AttachOptions options=Gtk::EXPAND)
int | get_position () const
| Obtains the position of the divider between the two panes.
void | set_position (int position)
| Sets the position of the divider between the two panes.
Widget* | get_child1 ()
const Widget* | get_child1 () const
Widget* | get_child2 ()
const Widget* | get_child2 () const
Glib::SignalProxy1< bool, bool > | signal_cycle_child_focus ()
Glib::SignalProxy0<bool> | signal_toggle_handle_focus ()
Glib::SignalProxy1< bool, ScrollType > | signal_move_handle ()
Glib::SignalProxy1< bool, bool > | signal_cycle_handle_focus ()
Glib::SignalProxy0<bool> | signal_accept_position ()
Glib::SignalProxy0<bool> | signal_cancel_position ()
Glib::PropertyProxy<int> | property_position ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_position_set ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual bool | on_cycle_child_focus (bool reverse)
virtual bool | on_toggle_handle_focus ()
virtual bool | on_move_handle (ScrollType scroll)
virtual bool | on_cycle_handle_focus (bool reverse)
virtual bool | on_accept_position ()
virtual bool | on_cancel_position ()

## Related Functions

(Note that these are not member functions.)
Gtk::Paned* | wrap (GtkPaned* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Paned::~Paned | ( |  | ) | `[virtual]`

Gtk::Paned::Paned | ( |  | ) |

## Member Function Documentation

void Gtk::Paned::add1 | ( | Widget& | child | ) |

void Gtk::Paned::add2 | ( | Widget& | child | ) |

const Widget* Gtk::Paned::get_child1 | ( |  | ) | const

Widget* Gtk::Paned::get_child1 | ( |  | ) |

const Widget* Gtk::Paned::get_child2 | ( |  | ) | const

Widget* Gtk::Paned::get_child2 | ( |  | ) |

int Gtk::Paned::get_position | ( |  | ) | const

Obtains the position of the divider between the two panes.

Returns:
  Position of the divider.

const GtkPaned* Gtk::Paned::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container. Reimplemented in Gtk::HPaned, and Gtk::VPaned.

GtkPaned* Gtk::Paned::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container. Reimplemented in Gtk::HPaned, and Gtk::VPaned.

virtual bool Gtk::Paned::on_accept_position | ( |  | ) | `[protected, virtual]`

virtual bool Gtk::Paned::on_cancel_position | ( |  | ) | `[protected, virtual]`

virtual bool Gtk::Paned::on_cycle_child_focus | ( | bool | reverse | ) | `[protected, virtual]`

virtual bool Gtk::Paned::on_cycle_handle_focus | ( | bool | reverse | ) | `[protected, virtual]`

virtual bool Gtk::Paned::on_move_handle | ( | ScrollType | scroll | ) | `[protected, virtual]`

virtual bool Gtk::Paned::on_toggle_handle_focus | ( |  | ) | `[protected, virtual]`

void Gtk::Paned::pack1 | ( | Widget& | child,
|  | AttachOptions | options = Gtk::EXPAND
| ) |

void Gtk::Paned::pack1 | ( | Widget& | child,
|  | bool | resize,
|  | bool | shrink
| ) |

void Gtk::Paned::pack2 | ( | Widget& | child,
|  | AttachOptions | options = Gtk::EXPAND
| ) |

void Gtk::Paned::pack2 | ( | Widget& | child,
|  | bool | resize,
|  | bool | shrink
| ) |

Glib::PropertyProxy<int> Gtk::Paned::property_position | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Paned::property_position_set | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Paned::set_position | ( | int | position | ) |

Sets the position of the divider between the two panes.

Parameters:

  position | Pixel position of divider, a negative value means that the position is unset.

Glib::SignalProxy0<bool> Gtk::Paned::signal_accept_position | ( |  | ) |

Prototype:
  `bool accept_position()`

Glib::SignalProxy0<bool> Gtk::Paned::signal_cancel_position | ( |  | ) |

Prototype:
  `bool cancel_position()`

Glib::SignalProxy1<bool,bool> Gtk::Paned::signal_cycle_child_focus | ( |  | ) |

Prototype:
  `bool cycle_child_focus(bool reverse)`

Glib::SignalProxy1<bool,bool> Gtk::Paned::signal_cycle_handle_focus | ( |  | ) |

Prototype:
  `bool cycle_handle_focus(bool reverse)`

Glib::SignalProxy1<bool,ScrollType> Gtk::Paned::signal_move_handle | ( |  | ) |

Prototype:
  `bool move_handle(ScrollType scroll)`

Glib::SignalProxy0<bool> Gtk::Paned::signal_toggle_handle_focus | ( |  | ) |

Prototype:
  `bool toggle_handle_focus()`

## Friends And Related Function Documentation

Gtk::Paned* wrap | ( | GtkPaned* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- paned.h